:root {
    --theme: #2acfcf;
}
html {
    scroll-behavior: smooth;
    font-size: 14px;
}

body {
    font-family: "Poppins", sans-serif, "Segoe UI", Tahoma, Geneva, Verdana;
    font-weight: 500;
    outline: none;
}
header{
    top:0;
    z-index:2;
}
h1,h2,h3,h4 {
    color: #35323e;
    font-weight: 700;
}

p {
    color: #9e9aa7;
    font-weight: 500;
    line-height: 1.7;
}

a {
    text-decoration: none;
}

header {
    z-index: 10;
    animation: 1s ease-out 0s 1 slide-down;
}

.nav-link {
    color: #9e9aa7 !important;
    line-height: 1.5;
  }
.text-brand{
    color:var(--theme)
}

.table-responsive thead{
    display: none;
}
.table-responsive tbody tr{
    box-shadow: 0 4px 8px rgba(0,0,0,.15);
    margin-bottom: 1rem;
    border: 1px solid #f1f1f1;
}
.table-striped > tbody > tr:nth-of-type(2n+1) > *{
    --bs-table-accent-bg: #fff;
}
.table-responsive tbody td:nth-child(1){
    display: none;
}
.table-responsive tbody td:nth-child(3){
    font-size: 12px;
    color:#777;
}
.table-responsive tbody, tr, td{
    display: block;
    border:none
}


.slide-up {
    animation: slide-up 0.9s cubic-bezier(0.65, 0, 0.35, 1) forwards;
}
.zoom-in {
    animation: zoom-in 0.9s cubic-bezier(0.65, 0, 0.35, 1) forwards;
}
@keyframes slide-up {
    0% {
        transform: translateY(100px)
    }
    100% {
        transform: translateY(0)
    }
}
@keyframes zoom-in {
    0% {
        transform: scale(.5)
    }
    100% {
        transform: scale(1)
    }
}
@keyframes slide-down {
    0% {
        transform: translateY(-100px)
    }

    100% {
        transform: translateY(0)
    }
}

img {
    max-width: 100%;
}

.btn-brand {
    color: white;
    background-color: #2acfcf;
    transition: 0.3s;
}

    .btn-brand:hover {
        background-color: #6be1e1;
    }

.business {
    transform: translateY(-5rem);
}

.flex-between {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
}

.flex-ver-top {
    align-items: flex-start;
}

.scale-effect:active {
    transform: scale(0.88);
    transition: 0.2s;
}

    .section-header h2 {
        font-weight: 400;
        font-size: 20px;
    }

@media (min-width: 768px) {
    .section-header h2 {
        font-size: 26px;
    }
}

@media (min-width: 992px) {
    .section-header h2 {
        
        font-size: 35px;
    }
}

.section-header p {
    width: 50%;
    margin: 7px auto 0;
}

@media (max-width: 992px) {
    .section-header p {
        width: 70%;
    }
}

@media (max-width: 500px) {
    .section-header p {
        width: 100%;
    }
}


header {
    padding: 1rem 0;
}

    .header .logo img {
        height: 50px;
    }


.text-justify{
    text-align: justify;
    text-justify: inter-character;
}
.text-ellipsis{
    display: -webkit-box;
    -webkit-line-clamp: 10;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.header .nav-buttons .btn-brand {
    color: #fff;
    width: 80%;
}



.landing {
    display: flex;
    align-items: center;
}

@media (max-width: 992px) {
    .landing {
        padding-bottom: 32px;
        row-gap: 60px;
        grid-gap: 60px;
    }
}

@media (max-width: 280px) {
    .landing {
        padding-bottom: 40px;
    }
}

.landing .landing-text {
    flex: 1;
}

.landing .landing-text h1 {
    font-size: 2em;
    line-height: 1.15;
}

.landing .landing-image {
    position: relative;
    margin-top: -4rem;
}
.landing-image img{
    width: 100%;
}
@media (min-width: 768px) {
    .landing .landing-text {
        flex: 1;
        min-width: 465px;
    }
}
@media (min-width: 992px) {
    .landing .landing-image {
        flex-basis: initial;
        margin-top: 0;
    }
    .landing-image img{
        width: 80%;
    }
}

@media (min-width: 1200px) {
    
}

.features {
    margin-top: 100px;
    background-color: #eff0f5;
}

.iin-form {
    width: 100%;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    background-size: cover;
    padding: 45px;
    border-radius: 6px;
    margin-bottom: 20px;
    transition: gap 0.3s;
    background: #2596be;
}

@media (max-width: 850px) {
    .iin-form {
        flex-direction: column;
        padding: 25px;
        margin-bottom: 0;
    }
}

@media (max-width: 280px) {
    .iin-form {
        padding: 20px;
    }
}

.iin-form > div {
    position: relative;
    flex: 1;
}

.iin-form .url-input {
    width: 100%;
    font-family: "Poppins", sans-serif, "Segoe UI", Tahoma, Geneva, Verdana;
    font-size: 18px;
    padding: 8px 20px;
    background: white;
    border: 2px solid transparent;
    border-radius: 6px;
    outline: none;
    transition: 0.2s;
}

    .iin-form .url-input::placeholder {
        font-family: "Poppins", sans-serif, "Segoe UI", Tahoma, Geneva, Verdana;
        font-size: 16px;
        font-weight: 500;
        color: #9e9aa7;
    }

.iin-form .alert {
    position: absolute;
    left: 0;
    top: calc(100% + 4px);
    font-style: italic;
    font-size: 16px;
    color: #f46262;
    opacity: 0;
    transition: 0.2s opacity;
}

@media (max-width: 500px) {
    .iin-form .alert {
        font-size: 14px;
    }
}

.iin-form .btn-brand {
    text-align: center;
    border-radius: inherit;
    white-space: nowrap;
    font-size: 16px;
    cursor: pointer;
}

@media (max-width: 850px) {
    .iin-form .btn-brand {
        font-size: 19px;
        padding: 10px 30px;
    }
}

.iin-form.empty {
    gap: 37px;
}

    .iin-form.empty .url-input {
        border-color: #f46262;
    }

        .iin-form.empty .url-input::placeholder {
            color: #f46262;
            opacity: 0.5;
        }

    .iin-form.empty .alert {
        opacity: 1;
    }

.iin-form.success button {
    background: #30c59b;
}

.iin-results {
    position: relative;
    top: -60px;
}

    .iin-results .iin-result {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 15px;
        flex-wrap: wrap;
        padding: 15px 25px;
        background: white;
        border-radius: 6px;
        margin-bottom: 15.15152px;
    }

        .iin-results .iin-result > div p {
            font-size: 17px;
            word-break: break-word;
        }

        .iin-results .iin-result > div a:hover {
            text-decoration: underline wavy #30c59b 2px;
        }

@media (max-width: 850px) {
    .iin-results .iin-result {
        flex-direction: column;
        align-items: flex-start;
        padding: 0;
        gap: 0;
    }

        .iin-results .iin-result > div {
            width: 100%;
            align-items: flex-start;
            padding: 12px 18px;
        }
}

.iin-results .delete-all-urls {
    display: block;
    margin: auto;
    font-size: 15px;
    background-color: #f24a4a;
}

    .iin-results .delete-all-urls:hover {
        background-color: #f46262;
    }

.iin-result .old-url p {
    color: #35323e;
    font-weight: 500;
}

.iin-result .old-url a {
    color: inherit;
}

@media (max-width: 850px) {
    .iin-result .old-url {
        border-bottom: 1px solid #bfbfbf;
    }
}

.iin-result .new-url {
    display: flex;
    align-items: center;
    gap: 20px;
}

    .iin-result .new-url a {
        color: #2acfcf;
    }

@media (max-width: 850px) {
    .iin-result .new-url {
        flex-direction: column;
        gap: 12px;
    }
}

.iin-result .options {
    display: flex;
    gap: 10px;
}

@media (max-width: 850px) {
    .iin-result .options {
        width: 100%;
    }
}

.iin-result .options button {
    width: 95px;
    font-size: 15px;
    border-radius: 6px;
    cursor: pointer;
}

    .iin-result .options button.copied {
        background: #3b3054;
    }

    .iin-result .options button.delete-url {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 35px;
        background: #f46262;
        border: none;
        color: white;
        font-size: 18px;
        transition: 0.2s;
    }

        .iin-result .options button.delete-url:hover {
            color: #f46262;
            background-color: #eff0f5;
            font-size: 20px;
        }

@media (max-width: 850px) {
    .iin-result .options button {
        width: 100%;
        font-size: 18px;
        padding: 10px 30px;
    }
}

.more-features-content {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 25px;
}

@media (max-width: 666px) {
    .more-features-content {
        gap: 80px;
    }
}

@media (max-width: 280px) {
    .more-features-content {
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    }
}

.more-features-content .feature {
    position: relative;
    background: white;
    border-radius: 6px;
}

.feature .feature-illustration {
    position: absolute;
    top: -32.5px;
    left: 25px;
    display: grid;
    place-items: center;
    width: 64px;
    height: 64px;
    background: #fff;
    fill:var(--theme);
    border-radius: 50%;
}

@media (max-width: 666px) {
    .feature .feature-illustration {
        left: 50%;
        transform: translateX(-50%);
        width: 80px;
        height: 80px;
    }
}

.feature .feature-illustration img {
    max-width: 50%;
}

.feature .feature-details {
    padding: 0 25px 0;
    margin-top: 60px;
}

@media (max-width: 666px) {
    .feature .feature-details {
        text-align: center;
        margin-top: 80px;
    }
}

@media (max-width: 280px) {
    .feature .feature-details {
        padding: 0 20px 0;
    }
}

@media (max-width: 500px) {
    .feature .feature-details h3 {
        font-size: 20px;
    }
}

@media (max-width: 280px) {
    .feature .feature-details h3 {
        font-size: 18px;
    }
}

.feature .feature-details p {
    margin-top: 10px;
}

.pricing {
    padding: 50px 0;
    background: #3b3054 url(../images/bg-boost-desktop.svg) no-repeat right;
    background-size: cover;
}

@media (max-width: 500px) {
    .pricing {
        padding: 90px 0;
        background-image: url(../images/bg-boost-mobile.svg);
    }
}

.pricing .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.pricing h2 {
    color: white;
    margin-bottom: 20px;
}

.footer {
    padding-top: 50px;
    background: #232127;
}

    .footer .container {
        display: flex;
        justify-content: center;
        align-items: flex-start;
        gap: 70px;
        flex-wrap: wrap;
    }

@media (max-width: 705px) {
    .footer .container {
        flex-wrap: nowrap;
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }
}

.footer .logo {
    flex: 1 0 auto;
}

    .footer .logo img {
        filter: brightness(10);
    }

.footer .quick-links {
    display: flex;
    gap: 60px;
}

@media (max-width: 705px) {
    .footer .quick-links {
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 30px;
    }
}

.footer .quick-links .links-group {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer .links-group span {
    color: white;
    font-weight: 700;
}

.footer .links-group > div {
    display: flex;
    flex-direction: column;
    gap: 6.66667px;
}

.footer .links-group a {
    color: #bfbfbf;
    font-size: 13px;
    transition: 0.2s color;
}

    .footer .links-group a:hover {
        color: cyan;
    }

.footer .social-media {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    gap: 20px;
}

    .footer .social-media i {
        font-size:24px;
        color:#fff;
        transition: 0.2s transform;
    }

        .footer .social-media i:hover {
            transform: scale(1.1);
            filter: invert(0%) sepia(59%) saturate(6585%) hue-rotate(125deg) brightness(86%) contrast(85%);
        }

.attribution {
    padding: 30px 0 25px 0;
    text-align: center;
    font-size: 13px;
    color: #fff;
}

    .attribution .outer-link {
        font-size: 15px;
        color: #2acfcf;
        margin-left: 2px;
        cursor: pointer;
    }

        .attribution .outer-link:hover {
            text-decoration: underline wavy #2acfcf 2px;
        }

    .attribution .social-media {
        display: inline-flex;
        align-items: center;
        gap: 12px;
        list-style: none;
        margin-left: 5px;
    }

        .attribution .social-media .icon {
            font-size: 20px;
            color: #fff;
        }

        .attribution .social-media .image {
            width: 23px;
        }

            .attribution .social-media .image:hover {
                filter: none;
                background-color: none;
            }

            
@media (min-width: 768px) {
    html{font-size: 16px;}
    header,.landing{
        padding:2.5rem 0;
    }
    .landing-text p{
        font-size: 1rem;
    }
    
    .table-responsive{
        box-shadow: rgba(0,0,0,.15);
    }
    .table-responsive thead{
        display:table-header-group;
    }
    .table-responsive tbody{
        display:table-row-group;
    }
    .table-responsive tbody tr{
        display:table-row;
        box-shadow: none;
    }
    .table-striped > tbody > tr:nth-of-type(2n+1) > *{
        --bs-table-accent-bg: var(--bs-table-striped-bg)
    }
    .table-responsive td, .table-responsive tbody td:nth-child(1){
        display:table-cell;
    }
    .table-responsive tbody td:nth-child(3){
        font-size: 1rem;
    }
    
}

@media (min-width: 1200px) {
    .landing .landing-text h1 {
        font-size: 3.5em;
    }
}